# Class DeletePaymentAccountRequest

#### Hierarchy

- unknown
  - DeletePaymentAccountRequest

- Defined in src/protobuf/grpc_pb.d.ts:2014
- Defined in src/protobuf/grpc_pb.d.ts:2026

#####
Index

### Constructors

constructor

### Methods

getPaymentAccountId
serializeBinary
setPaymentAccountId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new DeletePaymentAccountRequest(): DeletePaymentAccountRequest

- #### Returns DeletePaymentAccountRequest

  Inherited from jspb.Message.constructor

## Methods

### getPaymentAccountId

- getPaymentAccountId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2015

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2018

### setPaymentAccountId

- setPaymentAccountId(value: string): DeletePaymentAccountRequest

- #### Parameters

  - ##### value: string

  #### Returns DeletePaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2016

### toObject

- toObject(includeInstance?: boolean): DeletePaymentAccountRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns DeletePaymentAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2019

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): DeletePaymentAccountRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DeletePaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2022

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DeletePaymentAccountRequest, reader: BinaryReader): DeletePaymentAccountRequest

- #### Parameters

  - ##### message: DeletePaymentAccountRequest

  - ##### reader: BinaryReader

  #### Returns DeletePaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2023

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: DeletePaymentAccountRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: DeletePaymentAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2021

### `Static` toObject

- toObject(includeInstance: boolean, msg: DeletePaymentAccountRequest): DeletePaymentAccountRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DeletePaymentAccountRequest

  #### Returns DeletePaymentAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2020

Generated using TypeDoc